Foreman - Feature #5585

Support non-md5 root password
05/06/2014 01:22 PM - Vincent Brillault

Status: Duplicate
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

When adding a root password in a hostgroup, Foreman automagically add a salt and hashes it using the md5 algorithm.

Could it be possible to support other, more recent, algorithms, for example SHA-256 or SHA-512 and even blowfish where it is

implemented?

| do not know the code, but a simple grep seems to indicate that the following code is responsible for this:

(https://github.com/theforeman/foreman/blob/develop/app/models/concerns/host_ common.rb#L.108)
self.root_pass = root_pass.empty? ? nil : (root_pass.starts_with?('$') ? root_pass :
root_pass.crypt("$1$#{SecureRandom.base64(6)}"))

The '1"in the "$1$" here is problematic.
Could it be changed to a configuration option (with '1" used by default) ?

Thanks in advance,
Vincent

PS: during my greping, | found another part using the root password:
(https://github.com/theforeman/foreman/blob/develop/app/helpers/unattended_helper.rb#L 9)
def grub_pass

@grub ? "--md5pass=#{@host.root_pass}": "

end

This is likely to break if root_pass is not a md5 password.

Related issues:

Is duplicate of Foreman - Feature #2127: Support newer hash schemes for root ... Closed

01/15/2013

History

#1 - 05/06/2014 01:26 PM - Dominic Cleal

- Is duplicate of Feature #2127: Support newer hash schemes for root passwords added

#2 - 05/06/2014 01:27 PM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, we're tracking this under #2127 (it's high up on our backlog too I think).
#3 - 05/06/2014 01:40 PM - Vincent Brillault

Sorry, | missed this one (I searched for root password, but did not find it).

Thanks.

#4 - 09/04/2014 03:39 PM - The Foreman Bot
- Target version set to 1.7.4

- Pull request https://github.com/theforeman/foreman/pull/1736 added

05/10/2024
https://github.com/theforeman/foreman/blob/develop/app/models/concerns/host_common.rb#L108
https://github.com/theforeman/foreman/blob/develop/app/helpers/unattended_helper.rb#L9
https://projects.theforeman.org/issues/2127

#5 - 09/05/2014 04:25 AM - Dominic Cleal
- Target version deleted (1.7.4)
- Pull request added

- Pull request deleted (https://github.com/theforeman/foreman/pull/1736)
